io.vertx.ext.web.handler

## Interface WebAuthnHandler

- All Superinterfaces:
    AuthenticationHandler, Handler<RoutingContext>

      public interface WebAuthnHandler
      extends AuthenticationHandler

  An auth handler that provides FIDO2 WebAuthN Relay Party support.
  Author:
    Paulo Lopes

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebAuthnHandler` | `create(WebAuthn webAuthn)` Create a WebAuthN auth handler.
    `WebAuthnHandler` | `setOrigin(String origin)` Set the Origin to be validated by the webauthn object.
    `WebAuthnHandler` | `setupCallback(Route route)` The callback route to verify attestations and assertions.
    `WebAuthnHandler` | `setupCredentialsCreateCallback(Route route)` The callback route to create registration attestations.
    `WebAuthnHandler` | `setupCredentialsGetCallback(Route route)` The callback route to create login attestations.

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Method Detail

    - #### create

          static WebAuthnHandler create(WebAuthn webAuthn)

      Create a WebAuthN auth handler. This handler expects at least the response callback to be installed.
      Returns:
        the auth handler

    - #### setupCredentialsCreateCallback

          WebAuthnHandler setupCredentialsCreateCallback(Route route)

      The callback route to create registration attestations. Usually this route is

          /webauthn/register

      Parameters:
        `route` - the route where credential get options are generated.
      Returns:
        fluent self.

    - #### setupCredentialsGetCallback

          WebAuthnHandler setupCredentialsGetCallback(Route route)

      The callback route to create login attestations. Usually this route is

          /webauthn/login

      Parameters:
        `route` - the route where credential get options are generated.
      Returns:
        fluent self.

    - #### setupCallback

          WebAuthnHandler setupCallback(Route route)

      The callback route to verify attestations and assertions. Usually this route is

          /webauthn/response

      Parameters:
        `route` - the route where assertions and attestations are verified.
      Returns:
        fluent self.

    - #### setOrigin

          WebAuthnHandler setOrigin(String origin)

      Set the Origin to be validated by the webauthn object.
      Parameters:
        `origin` - - an HTTP Origin
      Returns:
        fluent self

Copyright © 2025 Eclipse. All rights reserved.